## org.ascape.query.parser
Class QTComparisonOperator

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTComparisonOperator

All Implemented Interfaces:
  Node

    public class QTComparisonOperator

extends SimpleNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTComparisonOperator(BoolExprTree p, int id)`
`QTComparisonOperator(int id)`

Method Summary

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTComparisonOperator

    public QTComparisonOperator(int id)

### QTComparisonOperator

    public QTComparisonOperator(BoolExprTree p,
                                int id)